Skip to main content
`Ctrl`+`K`

# PCMGResidualDefault

Default routine to calculate the residual.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGResidualDefault(Mat mat, Vec b, Vec x, Vec r)

Collective

## Input Parameters

- mat - the matrix

- b - the right-hand side

- x - the approximate solution

## Output Parameter

- r - location to store the residual

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetResidual()`, `PCMGSetMatResidual()`

## Level

developer

## Location

src/ksp/pc/impls/mg/mgfunc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages